GoodMorningDave
Enthusiast
Enthusiast

offline update fails with a message that doesnt make sense

HI, ( always say HI)

I was doing an offline upgrade from 5.1 to 5.5 via

Type the command to update the host: esxcli software vib update -d /vmfs/volumes/<datastore UUID>/<filename.zip>

It fails.

/vmfs/volumes/52282ac7-4e0a0e34-2a9b-848f69d9ab7b #  [DependencyError]

-sh: [DependencyError]: not found

/vmfs/volumes/52282ac7-4e0a0e34-2a9b-848f69d9ab7b #  VIB VMware_bootbank_esx-base_5.5.0-2.33.2068190 requires esx-xlibs, but the requirement cannot be satisfied within the ImageProfile.

bad zip? User error?

The zip is loaded and visible on the datastore.

I got the cli from vmware support but I'm guessing the cli is missing something,

:smileyconfused:

Tags (1)
0 Kudos
3 Replies
a_p_
Leadership
Leadership

In order to upgrade to a later version you'll need to use the esxcli software profile command. Please take a look at e.g. A Pretty Cool Method of Upgrading to ESXi 5.1 for how this can be done. Alternatively to using an URL for the upgrade, you may also use an Offline Bundle.

André

0 Kudos
GoodMorningDave
Enthusiast
Enthusiast

works,

Thanks

0 Kudos
GoodMorningDave
Enthusiast
Enthusiast

I couldnt get an answer, what is the method to reset the MOB password if the SSO doesn't work?>

0 Kudos